> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# IDでバッチコールを取得。

GET https://api.elevenlabs.io/v1/convai/batch-calling/{batch_id}

すべての受信者を含む一括通話の詳細情報を取得します。

Reference: https://elevenlabs.io/docs/eleven-agents/api-reference/batch-calling/get

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `batch_id` (string, required)

## Response

### 200

成功レスポンス。

- `id` (string, required)
- `name` (string, required)
- `agent_id` (string, required)
- `created_at_unix` (integer, required)
- `scheduled_time_unix` (integer, required)
- `total_calls_dispatched` (integer, required, default: 0)
- `total_calls_scheduled` (integer, required, default: 0)
- `total_calls_finished` (integer, required, default: 0)
- `last_updated_at_unix` (integer, required)
- `status` (enum, required)
  - Allowed values: `pending`, `in_progress`, `completed`, `failed`, `cancelled`
- `retry_count` (integer, required, default: 0)
- `telephony_call_config` (TelephonyCallConfigOutput, required)
- `agent_name` (string, required)
- `recipients` (list of OutboundCallRecipientResponseModel, required)
- `phone_number_id` (string, optional)
- `phone_provider` (enum, optional)
  - Allowed values: `twilio`, `sip_trunk`, `exotel`
- `whatsapp_params` (BatchCallWhatsAppParams, optional)
- `branch_id` (string, optional)
- `environment` (string, optional)
- `timezone` (string, optional)
- `target_concurrency_limit` (integer, optional) — このバッチの同時通話数の上限。設定した場合、ディスパッチはワークスペース／エージェントのキャパシティ割合ではなく、この上限に従います。
- `branch_name` (string, optional)

## Errors

### 422 Batch Calls Get Request Unprocessable Entity Error

検証エラー

- `detail` (list of ValidationError, optional)

## Types

### TelephonyCallConfigOutput

- `ringing_timeout_secs` (integer, optional, default: 60) — 接続を諦めるまでに受信者を呼び出す時間（秒）です。プロバイダー独自の制約によっても制限されます。
- `twilio_call_recording_enabled` (boolean, optional, default: false) — Twilio通話録音を使用して通話を録音するかどうか。Twilio以外のプロバイダーでは無視されます。録音はTwilioアカウントに保存されます。
- `twilio_machine_detection` (TwilioMachineDetectionConfig, optional) — Twilioの通信事業者レベルの留守番電話検出（AMD）の設定です。省略するかnullに設定すると無効になります。Twilio以外のプロバイダーおよび着信通話では無視されます。検出結果は独自の`answering_machine_detection`Webhookイベントとして配信され、このイベントをワークスペースまたはエージェントのWebhook設定で有効にする必要があります。会話または通話後Webhookの一部ではありません。検出は非同期で実行されるため、会話の開始が遅延することはありません。結果は通話中の任意の時点で届く可能性があり、`detect_message_end`では通話終了後に届くこともあります。AMDにはTwilioから別途料金が請求されます。

### OutboundCallRecipientResponseModel

- `id` (string, required)
- `status` (enum, required)
  - Allowed values: `pending`, `dispatched`, `initiated`, `in_progress`, `completed`, `failed`, `cancelled`, `voicemail`
- `created_at_unix` (integer, required)
- `updated_at_unix` (integer, required)
- `phone_number` (string, optional)
- `whatsapp_user_id` (string, optional)
- `conversation_id` (string, optional)
- `conversation_initiation_client_data` (ConversationInitiationClientDataInternal, optional)

### BatchCallWhatsAppParams

- `whatsapp_call_permission_request_template_name` (string, required)
- `whatsapp_call_permission_request_template_language_code` (string, required)
- `whatsapp_phone_number_id` (string, optional)

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### TwilioMachineDetectionConfig

通話でTwilioのキャリアレベル留守番電話検出（AMD）を実行する方法です。

- `mode` (enum, optional, default: enable) — 検出の詳細度を指定します。`enable`はTwilioが人間と機械を区別できた時点で判定を返します。`detect_message_end`はボイスメールの挨拶が終わるまで待機し、`machine_end_*`判定を生成しますが、結果の返却は遅くなります。
  - Allowed values: `enable`, `detect_message_end`

### ConversationInitiationClientDataInternal

- `conversation_config_override` (ConversationConfigClientOverrideOutput, optional)
- `custom_llm_extra_body` (map from string to any, optional)
- `user_id` (string, optional) — この会話に参加するエンドユーザーのID（エージェントオーナーによるユーザー識別用）
- `source_info` (ConversationInitiationSourceInfo, optional) — 会話開始元に関する情報
- `branch_id` (string, optional) — この会話で使用するエージェントブランチのID
- `environment` (string, optional) — 環境変数の解決に使用する環境
- `starting_workflow_node_id` (string, optional) — 設定すると、デフォルトのエントリではなくこのノードIDからワークフローを開始します
- `procedure_ids` (list of string, optional) — 設定した場合、開始エージェントで利用できるのはこれらのプロシージャのみです。各IDはそのエージェントに紐付けられている必要があります。不明なIDがあると会話の開始に失敗します。空のリストは、そのエージェントのすべてのプロシージャを無効にします。エージェント転送後には適用されません。enable_procedure_ids_from_clientが必要です。
- `dynamic_variables` (map from string to any, optional)
- `tool_mock_config` (OrchestratorToolMockBehaviorConfig, optional) — モックするツールとフォールバック動作の設定
- `tool_mock_overrides` (map from string to list of ToolResponseMockConfigOutput, optional) — 解決済みツール名をキーとするツールごとのレスポンスモックオーバーライド。ツールの共有モックより先に適用されます。テスト固有のモックに使用します。

### ValidationErrorLocItem

### ConversationConfigClientOverrideOutput

- `asr` (AsrConversationalConfigOverride, optional) — 会話用文字起こしの設定
- `turn` (TurnConfigOverride, optional) — ターン検出の設定
- `tts` (TtsConversationalConfigOverride, optional) — 会話用テキスト読み上げの設定
- `conversation` (ConversationConfigOverride, optional) — 会話イベントの設定
- `agent` (AgentConfigOverrideOutput, optional) — エージェント固有の設定

### ConversationInitiationSourceInfo

会話開始元に関する情報

- `source` (enum, optional, default: unknown) — 会話開始元
  - Allowed values: `unknown`, `android_sdk`, `node_js_sdk`, `react_native_sdk`, `react_sdk`, `js_sdk`, `python_sdk`, `widget`, `sip_trunk`, `twilio`, `exotel`, `genesys`, `avaya`, `audiocodes`, `swift_sdk`, `whatsapp`, `twilio_sms`, `flutter_sdk`, `zendesk_integration`, `slack_integration`, `telegram_integration`, `intercom_integration`, `freshdesk_integration`, `salesforce_integration`, `template_preview`, `genesys_bot_connector`, `subagent_tool`
- `version` (string, optional) — SDKバージョン番号

### OrchestratorToolMockBehaviorConfig

オーケストレーター側の設定：ツールは解決済みの名前で識別されます。

- `mocking_strategy` (enum, optional, default: none) — モックするツール。'all'はモック可能なすべてのツールをモックし、'selected'はmocked_tool_names/mocked_tool_idsで指定したものだけをモックし、'none'はモックを無効にします。
  - Allowed values: `all`, `selected`, `none`
- `fallback_strategy` (enum, optional, default: raise_error) — ツール呼び出しに一致するモックがない場合の動作。
  - Allowed values: `call_real_tool`, `raise_error`
- `mocked_tool_names` (list of string, optional) — モックするツール名。mocking_strategyが'selected'の場合にのみ使用されます。

### ToolResponseMockConfigOutput

- `mock_result` (string, required) — このモックが有効な場合にLLMが受け取る戻り値。
- `parameter_conditions` (list of UnitTestToolCallParameter, optional) — リストが空の場合、モックは常に有効になります。
- `is_error` (boolean, optional, default: false) — trueの場合、モック結果は成功結果ではなくツールエラーとしてLLMに渡されます。

### AsrConversationalConfigOverride

- `keywords` (list of string, optional) — 予測確率を高めるキーワード

### TurnConfigOverride

- `soft_timeout_config` (SoftTimeoutConfigOverride, optional) — ソフトタイムアウト機能の設定です。長いLLMレスポンスの処理中に即時フィードバックを提供します。

### TtsConversationalConfigOverride

- `model_id` (enum, optional, default: eleven_v4_turbo) — TTSに使用するモデル。
  - Allowed values: `eleven_turbo_v2`, `eleven_turbo_v2_5`, `eleven_flash_v2`, `eleven_flash_v2_5`, `eleven_multilingual_v2`, `eleven_v3_conversational`, `eleven_v4`, `eleven_v4_turbo`
- `voice_id` (string, optional) — TTSに使用する音声ID
- `supported_voices` (list of SupportedVoice, optional) — エージェントで追加対応する音声
- `stability` (double, optional) — 生成された音声の安定性
- `speed` (double, optional) — 生成された音声の速度
- `similarity_boost` (double, optional) — 生成された音声の類似性ブースト
- `pronunciation_dictionary_locators` (list of PydanticPronunciationDictionaryVersionLocator, optional) — 発音辞書ロケーター

### ConversationConfigOverride

- `text_only` (boolean, optional) — 有効にするとオーディオは処理されず、テキストのみが使用されます。オーディオ料金を回避するために使用します。
- `max_duration_seconds` (integer, optional) — 会話の最大時間（秒）。

### AgentConfigOverrideOutput

- `first_message` (string, optional) — 空でない場合、エージェントが最初に発するメッセージです。空の場合、エージェントはユーザーが会話を開始するのを待ちます。
- `language` (string, optional) — エージェントの言語（ASRおよびTTSで使用）
- `max_conversation_duration_message` (string, optional) — 空でない場合、会話の最大時間に達したときにエージェントが送信するメッセージです。
- `prompt` (PromptAgentApiModelOverrideOutput, optional) — エージェント用のプロンプト

### UnitTestToolCallParameter

- `eval` (UnitTestToolCallParameterEval, required)
- `path` (string, required)

### SoftTimeoutConfigOverride

- `message` (string, optional) — LLM応答の待機中に最初のソフトタイムアウトに達したときに表示するメッセージ。動的変数（例：\{\{system\_\_time}}、\{\{custom\_variable}}）に対応しています。
- `additional_soft_timeout_messages` (list of string, optional) — 同じLLM生成内で後続のソフトタイムアウト時に使用する追加の固定フィラーメッセージです。最初のタイムアウトでは`message`を使用します。設定されているメッセージ数が`max_soft_timeouts_per_generation`より少ない場合は、最後に設定されたメッセージを繰り返します。それ以外の場合は、組み込みのフィラーを使用します。

### SupportedVoice

- `label` (string, required)
- `voice_id` (string, required)
- `description` (string, optional)
- `language` (string, optional)
- `model_family` (enum, optional)
  - Allowed values: `turbo`, `flash`, `multilingual`, `v3_conversational`, `v4`, `v4_turbo`
- `optimize_streaming_latency` (integer, optional)
- `stability` (double, optional)
- `speed` (double, optional)
- `similarity_boost` (double, optional)

### PydanticPronunciationDictionaryVersionLocator

他のドキュメントが特定の辞書とそのバージョンを参照できるようにするロケーターです。 これはPronunciationDictionaryVersionLocatorDBModelのPydanticバージョンです。 他のエージェントデータモデルとの互換性を確保するために必要です。

- `pronunciation_dictionary_id` (string, required) — 発音辞書のID
- `version_id` (string, optional) — 発音辞書バージョンのID

### PromptAgentApiModelOverrideOutput

- `prompt` (string, optional) — エージェント用のプロンプト
- `llm` (enum, optional) — プロンプトとチャット履歴を使用してクエリするLLM。データレジデンシーを使用する場合、LLMはデータレジデンシー環境でサポートされている必要があります。
  - Allowed values: `gpt-4o-mini`, `gpt-4o`, `gpt-4`, `gpt-4-turbo`, `gpt-4.1`, `gpt-4.1-mini`, `gpt-4.1-nano`, `gpt-5`, `gpt-5.1`, `gpt-5.2`, `gpt-5.2-chat-latest`, `gpt-5.4`, `gpt-5.4-mini`, `gpt-5.4-nano`, `gpt-5.5`, `gpt-5.6-sol`, `gpt-5.6-terra`, `gpt-5.6-luna`, `gpt-6-astra`, `gpt-6-sol`, `gpt-6-luna`, `gpt-6.1-sol`, `gpt-5-mini`, `gpt-5-nano`, `gpt-3.5-turbo`, `gemini-1.5-pro`, `gemini-1.5-flash`, `gemini-2.0-flash`, `gemini-2.0-flash-lite`, `gemini-2.5-flash-lite`, `gemini-2.5-flash`, `gemini-3-pro-preview`, `gemini-3-flash-preview`, `gemini-3.1-pro-preview`, `gemini-3.1-flash-lite-preview`, `gemini-3.1-flash-lite`, `gemini-3.5-flash`, `gemini-3.5-flash-lite`, `gemini-3.6-flash`, `gemini-3.7-flash`, `gemini-3.8-flash`, `gemini-4-argon`, `claude-sonnet-4-5`, `claude-opus-4-6`, `claude-opus-4-7`, `claude-opus-4-8`, `claude-opus-5`, `claude-opus-5-5`, `claude-sonnet-4-6`, `claude-sonnet-5`, `claude-sonnet-5-5`, `claude-sonnet-4`, `claude-haiku-4-5`, `claude-haiku-5-5`, `claude-3-7-sonnet`, `claude-3-5-sonnet`, `claude-3-5-sonnet-v1`, `claude-3-haiku`, `grok-beta`, `custom-llm`, `qwen3-4b`, `qwen3-30b-a3b`, `qwen36-35b-a3b`, `qwen35-397b-a17b`, `gpt-oss-20b`, `gpt-oss-120b`, `glm-45-air-fp8`, `glm-52`, `deepseek-v41-flash`, `nemotron-35-super-vl-nvfp4`, `gemini-2.5-flash-preview-09-2025`, `gemini-2.5-flash-lite-preview-09-2025`, `gemini-2.5-flash-preview-05-20`, `gemini-2.5-flash-preview-04-17`, `gemini-2.5-flash-lite-preview-06-17`, `gemini-2.0-flash-lite-001`, `gemini-2.0-flash-001`, `gemini-1.5-flash-002`, `gemini-1.5-flash-001`, `gemini-1.5-pro-002`, `gemini-1.5-pro-001`, `claude-sonnet-4@20250514`, `claude-sonnet-4-5@20250929`, `claude-haiku-4-5@20251001`, `claude-3-7-sonnet@20250219`, `claude-3-5-sonnet@20240620`, `claude-3-5-sonnet-v2@20241022`, `claude-3-haiku@20240307`, `gpt-5-2025-08-07`, `gpt-5.1-2025-11-13`, `gpt-5.2-2025-12-11`, `gpt-5.4-2026-03-05`, `gpt-5.4-mini-2026-03-17`, `gpt-5.4-nano-2026-03-17`, `gpt-5.5-2026-04-23`, `gpt-5-mini-2025-08-07`, `gpt-5-nano-2025-08-07`, `gpt-4.1-2025-04-14`, `gpt-4.1-mini-2025-04-14`, `gpt-4.1-nano-2025-04-14`, `gpt-4o-mini-2024-07-18`, `gpt-4o-2024-11-20`, `gpt-4o-2024-08-06`, `gpt-4o-2024-05-13`, `gpt-4-0613`, `gpt-4-0314`, `gpt-4-turbo-2024-04-09`, `gpt-3.5-turbo-0125`, `gpt-3.5-turbo-1106`, `watt-tool-8b`, `watt-tool-70b`
- `tool_ids` (list of string, optional) — エージェントが使用するツールIDのリストです。
- `tool_ids_strict` (boolean, optional) — 会話のオーバーライドとしてのみ適用され、tool_idsのオーバーライドが許可される場合に使用できます。trueの場合、オーバーライドされたtool_idsは、ワークフローノード上のツールを含む、その会話で許可されるツールの完全な一覧です。エージェントに設定した場合は無視されます。
- `native_mcp_server_ids` (list of string, optional) — エージェントが使用するネイティブMCPサーバーIDの一覧
- `knowledge_base` (list of KnowledgeBaseLocator, optional) — エージェントが使用するナレッジベースの一覧

### UnitTestToolCallParameterEval

- `type`: `anything`
- `type`: `exact`
  - `expected_value` (string, required) — パラメータが一致する必要がある正確な文字列値。
- `type`: `llm`
  - `description` (string, required) — テストで使用する評価戦略の説明です。
- `type`: `regex`
  - `pattern` (string, required) — エージェントの応答と照合する正規表現パターン。

### KnowledgeBaseLocator

- `type` (enum, required) — ナレッジベースのタイプ
  - Allowed values: `file`, `url`, `text`, `folder`
- `name` (string, required) — ナレッジベースの名前。
- `id` (string, required) — ナレッジベースのID
- `usage_mode` (enum, optional, default: auto) — ナレッジベースの使用モード
  - Allowed values: `prompt`, `auto`

## Examples

**Response**

```json
{
  "id": "id",
  "name": "name",
  "agent_id": "agent_id",
  "created_at_unix": 1,
  "scheduled_time_unix": 1,
  "total_calls_dispatched": 1,
  "total_calls_scheduled": 1,
  "total_calls_finished": 1,
  "last_updated_at_unix": 1,
  "status": "pending",
  "retry_count": 1,
  "telephony_call_config": {
    "ringing_timeout_secs": 1,
    "twilio_call_recording_enabled": true,
    "twilio_machine_detection": {
      "mode": "enable"
    }
  },
  "agent_name": "agent_name",
  "recipients": [
    {
      "id": "id",
      "status": "pending",
      "created_at_unix": 1,
      "updated_at_unix": 1,
      "phone_number": "phone_number",
      "whatsapp_user_id": "whatsapp_user_id",
      "conversation_id": "conversation_id",
      "conversation_initiation_client_data": {
        "conversation_config_override": {
          "asr": {
            "keywords": [
              "hello",
              "world"
            ]
          },
          "turn": {
            "soft_timeout_config": {
              "message": "Hhmmmm...yeah."
            }
          },
          "tts": {
            "model_id": "eleven_turbo_v2",
            "voice_id": "cjVigY5qzO86Huf0OWal",
            "stability": 0.5,
            "speed": 1,
            "similarity_boost": 0.8,
            "pronunciation_dictionary_locators": [
              {
                "pronunciation_dictionary_id": "pronunciation_dictionary_id",
                "version_id": null
              }
            ]
          },
          "conversation": {
            "max_duration_seconds": 600
          },
          "agent": {
            "first_message": "Hello, how can I help you today?",
            "language": "en",
            "prompt": {
              "prompt": "You are a helpful assistant that can answer questions about the topic of the conversation.",
              "llm": "gemini-2.0-flash-001",
              "tool_ids": [
                "tool_ids"
              ],
              "knowledge_base": [
                {
                  "type": "file",
                  "name": "My Knowledge Base",
                  "id": "123",
                  "usage_mode": "auto"
                }
              ]
            }
          }
        }
      }
    }
  ],
  "phone_number_id": "phone_number_id",
  "phone_provider": "twilio",
  "whatsapp_params": {
    "whatsapp_call_permission_request_template_name": "whatsapp_call_permission_request_template_name",
    "whatsapp_call_permission_request_template_language_code": "whatsapp_call_permission_request_template_language_code",
    "whatsapp_phone_number_id": "whatsapp_phone_number_id"
  },
  "branch_id": "branch_id",
  "environment": "environment",
  "timezone": "timezone",
  "target_concurrency_limit": 1,
  "branch_name": "branch_name"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/batch-calling/batch_id"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/batch-calling/batch_id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/batch-calling/batch_id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/batch-calling/batch_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/convai/batch-calling/batch_id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/convai/batch-calling/batch_id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/batch-calling/batch_id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/batch-calling/batch_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```